Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 440462 - <sys-fs/udev-195: some elog messages should only be shown for the first install
Summary: <sys-fs/udev-195: some elog messages should only be shown for the first install
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: udev maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: first-time-messages
  Show dependency tree
 
Reported: 2012-10-31 10:58 UTC by poletti.marco
Modified: 2012-11-01 06:29 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description poletti.marco 2012-10-31 10:58:58 UTC
Disclaimer: this bug has been filed in a semi-automated manner.

When emerging the package sys-fs/udev-171-r8, the following elog messages are displayed:

 * udev-171 does not support Linux kernel before version 2.6.32!
 * 
 * Updating persistent-net rules file
 * 
 * You need to add udev-mount to the sysinit runlevel.
 * If you do not do this,
 * your system will not be able to boot!
 * Run this command:
 *      rc-update add udev-mount sysinit
 * 
 * persistent-net does assigning fixed names to network devices.
 * If you have problems with the persistent-net rules,
 * just delete the rules file
 *      rm /etc/udev/rules.d/70-persistent-net.rules
 * and then reboot.
 * 
 * This may however number your devices in a different way than they are now.
 * 
 * If you build an initramfs including udev, then please
 * make sure that the /sbin/udevadm binary gets included,
 * and your scripts changed to use it,as it replaces the
 * old helper apps udevinfo, udevtrigger, ...
 * 
 * mount options for directory /dev are no longer
 * set in /etc/udev/udev.conf, but in /etc/fstab
 * as for other directories.
 * 
 * If you use /dev/md/*, /dev/loop/* or /dev/rd/*,
 * then please migrate over to using the device names
 * /dev/md*, /dev/loop* and /dev/ram*.
 * The devfs-compat rules have been removed.
 * For reference see Bug #269359.
 * 
 * Rules for /dev/hd* devices have been removed
 * Please migrate to libata.
 * 
 * For more information on udev on Gentoo, writing udev rules, and
 *          fixing known issues visit:
 *          http://www.gentoo.org/doc/en/udev-guide.xml

Such messages should only be displayed when the package is a new install.
These situations can be checked in the ebuild as follows:

if ! has_version 'sys-fs/udev'; then

See the tracker bug 440214 for more details.
Comment 1 Samuli Suominen gentoo-dev 2012-10-31 16:19:09 UTC
" * udev-171 does not support Linux kernel before version 2.6.32!" 


^
actually makes sense for every install... helps a lot with choosing what version to run... every udev ebuild should state this if possible :)
Comment 2 poletti.marco 2012-10-31 16:28:42 UTC
If this is the desired behavior, then feel free to close this bug.
Comment 3 Samuli Suominen gentoo-dev 2012-11-01 02:29:20 UTC
i'll see if this can be improved a bit -->
Comment 4 Samuli Suominen gentoo-dev 2012-11-01 06:28:52 UTC
done, but only for ~arch and live ebuild.  since this is so minor fix, we can wait until 195 or newer stabilizes. here you can see the changes:

+  01 Nov 2012; Samuli Suominen <ssuominen@gentoo.org> udev-195.ebuild,
+  udev-9999.ebuild:
+  Use REPLACING_VERSIONS to print out upgrade related messaging only when
+  required wrt #440462 by "poletti.marco"
+

http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/udev/udev-195.ebuild?r1=1.1&r2=1.2

http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/udev/udev-9999.ebuild?r1=1.115&r2=1.116